#window {
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);

    mat-toolbar {
        background: #2D323E;
        border-bottom: 1px solid #252832;
        min-height: 56px;
        height: 56px;
        font-size: 1em;

        .close-btn {
            background: #CC575D;
            color: #2D323E;
            position: absolute;
            right: 16px;
            width: 24px;
            height: 24px;
            box-shadow: none;

            mat-icon {
                margin-top: -18px;
            }

            &:hover {
                opacity: 0.9;
            }
        }
    }

    .content {
        display: block;
        box-sizing: border-box;
        overflow-x: hidden;
        overflow-y: auto;
        max-height: 600px;
    }

    @media (max-height: 800px) {
        .content {
            max-height: 400px;
        }
    }

    @media (max-height: 750px) {
        .content {
            max-height: 300px;
        }
    }
}

.close-window {
    -webkit-animation: slide-rotate-hor-b-bck 0.2s cubic-bezier(0.455, 0.030, 0.515, 0.955) both;
    animation: slide-rotate-hor-b-bck 0.2s cubic-bezier(0.455, 0.030, 0.515, 0.955) both;
}

.open-window {
    -webkit-animation: scale-up-hor-center 0.4s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
    animation: scale-up-hor-center 0.4s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
}

@-webkit-keyframes slide-rotate-hor-b-bck {
    0% {
        -webkit-transform: translateY(0) translateZ(0) rotateX(0deg);
        transform: translateY(0) translateZ(0) rotateX(0deg);
        -webkit-transform-origin: bottom center;
        transform-origin: bottom center;
        width: 100%;
    }
    100% {
        -webkit-transform: translateY(150px) translateZ(-230px) rotateX(90deg);
        transform: translateY(150px) translateZ(-230px) rotateX(90deg);
        -webkit-transform-origin: bottom center;
        transform-origin: bottom center;
        width: 20%;
    }
}
@keyframes slide-rotate-hor-b-bck {
    0% {
        -webkit-transform: translateY(0) translateZ(0) rotateX(0deg);
        transform: translateY(0) translateZ(0) rotateX(0deg);
        -webkit-transform-origin: bottom center;
        transform-origin: bottom center;
    }
    100% {
        -webkit-transform: translateY(150px) translateZ(-230px) rotateX(90deg);
        transform: translateY(150px) translateZ(-230px) rotateX(90deg);
        -webkit-transform-origin: bottom center;
        transform-origin: bottom center;
    }
}
@-webkit-keyframes scale-up-hor-center {
    0% {
        -webkit-transform: scaleX(0.4);
        transform: scaleX(0.4);
    }
    100% {
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
    }
}
@keyframes scale-up-hor-center {
    0% {
        -webkit-transform: scaleX(0.4);
        transform: scaleX(0.4);
    }
    100% {
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
    }
}